org.apache.commons.ssl.asn1

## Class DERUTF8String

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject
    - - org.apache.commons.ssl.asn1.ASN1Object
      - - org.apache.commons.ssl.asn1.DERUTF8String

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

    public class DERUTF8String
    extends ASN1Object
    implements DERString

DER UTF8String object.

### Field Summary

Fields
`(package private) java.lang.String` `string`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERUTF8String(byte[] string)` basic constructor - byte encoded string.
`DERUTF8String(java.lang.String string)` basic constructor

### Method Summary

Methods
`(package private) boolean` `asn1Equals(DERObject o)`
`(package private) void` `encode(DEROutputStream out)`
`static DERUTF8String` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an UTF8 String from a tagged object.
`static DERUTF8String` `getInstance(java.lang.Object obj)` return an UTF8 string from the passed in object.
`java.lang.String` `getString()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.apache.commons.ssl.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### string

    java.lang.String string

### Constructor Detail

#### DERUTF8String

    DERUTF8String(byte[] string)

basic constructor - byte encoded string.

#### DERUTF8String

    public DERUTF8String(java.lang.String string)

basic constructor

### Method Detail

#### getInstance

    public static DERUTF8String getInstance(java.lang.Object obj)

return an UTF8 string from the passed in object.

Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getInstance

    public static DERUTF8String getInstance(ASN1TaggedObject obj,
                            boolean explicit)

return an UTF8 String from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

#### getString

    public java.lang.String getString()

Specified by:
  `getString` in interface `DERString`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ASN1Object`

#### asn1Equals

    boolean asn1Equals(DERObject o)

Specified by:
  `asn1Equals` in class `ASN1Object`

#### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

Specified by:
  `encode` in class `ASN1Object`
Throws:
  `java.io.IOException`